package com.zcloud.safetyDutyList.persistence.repository.tasklist;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.safetyDutyList.persistence.dataobject.tasklist.FeedbackDO;

import java.util.List;
import java.util.Map;

/**
 * 反馈仓储接口
 * <p>
 * 继承BaseRepository，定义反馈数据的持久化操作，
 * 包括分页查询、按清单ID和任务详情ID查询、按反馈业务ID查询等方法。
 */
public interface FeedbackRepository extends BaseRepository<FeedbackDO> {
    PageResponse<FeedbackDO> feedbackPage(Map<String, Object> params);

    List<FeedbackDO> listByTaskListId(String taskListId);

    List<FeedbackDO> listByTaskDetailId(String taskDetailId);

    List<FeedbackDO> listByTaskExecutionId(String taskExecutionId);

    List<FeedbackDO> listByTaskIssueId(String taskIssueId);

    List<FeedbackDO> listByTaskExecutionIdAndPeriodFlag(String taskExecutionId, String feedbackPeriodFlag);

    FeedbackDO getByFeedbackId(String feedbackId);
}
